Bug 1789426 - Report Templates cannot be scheduled using UI
Summary: Report Templates cannot be scheduled using UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 14:46 UTC by Cole Higgins
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.1.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 29043 Normal Closed Report Templates Entitlements cannot be scheduled using UI 2020-08-05 02:19:06 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:44 UTC

Description Cole Higgins 2020-01-09 14:46:37 UTC
Description of problem:
When generating an Entitlements report under Report Templates and selecting a time and date under "Generate at", the report is generated instantly instead of the selected time. 

Version-Release number of selected component (if applicable): Satellite 6.7 Snap 7


How reproducible: 100%

Steps to Reproduce:
1. Monitor 
2. Report Templates 
3. Generate Entitlement Report
4. Select the time and date to generate the report
5. Click Submit

Actual results:
A report is generated instantly. 


Expected results:
A report should be generated at the selected time and date.


Additional info:

Comment 3 Marek Hulan 2020-01-10 09:31:46 UTC
Can you please tell us what is the time difference you use? This may be a timezone issue, can you try scheduling something to start in 2 days e.g.? Is this observed only for entitlements report or all reports? Do you see the same when scheduling through API/hammer?

Comment 9 Lukáš Hellebrandt 2020-02-04 10:29:25 UTC
Just reproduced with Sat 6.7 snap 10. Indeed, the report gets generated immediately. This does NOT only happen to Entitlements report, I also reproduced for different reports.

Comment 10 Tomer Brisker 2020-02-18 08:48:36 UTC
Created redmine issue https://projects.theforeman.org/issues/29043 from this bug

Comment 11 Bryan Kearney 2020-02-20 15:05:50 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 13 Lukáš Hellebrandt 2020-03-10 15:27:24 UTC
Verified with Sat 6.7 snap 15. Report now gets generated at specified time. Tested with both WebUI and Hammer.

Comment 16 errata-xmlrpc 2020-04-14 13:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.